#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    int n,k,x;
    cin >> n >> k >> x;
    int a[n];
    for(int i=0;i<n;i++)
    {
        a[i]=i+1;
    }
    /*for(int i=0;i<n;i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;*/
    int kont=1,faz=2;
    while(k--)
    {
        a[kont]+=x;
        kont++;
        if(kont == n-1)
        {
            kont = faz;
            faz++;
        }
    }
    for(int i=0;i<n;i++)
    {
        cout << a[i] << " ";
    }
}